<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_8cca4dd34" . "e20c5344bb" . "2a30f2533c" . "4e5" => base64_decode("ZnVs" . "bF9u" . "YW1l"), "_28c85ce81fee" . "6532980262893" . "b6f2425" => base64_decode("dXNlcm5hb" . "WU="), "user" . "_id" => base64_decode("dXNlcl9pZA" . "=="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["use" . "r_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8cca4dd34e20" . "c5344bb2a30f2" . "533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_28c85ce81fee65" . "32980262893b6f2" . "425"]);
    }
}